﻿using System;
using System.Diagnostics.CodeAnalysis;
using UnityEngine;

namespace everlaster
{
    sealed class UnityEventsListener : MonoBehaviour
    {
        // ReSharper disable once UnusedAutoPropertyAccessor.Global
        public bool IsEnabled { get; private set; }
        public Action EnabledHandlers { get; set; }
        public Action DisabledHandlers { get; set; }

        [SuppressMessage("ReSharper", "UnusedAutoPropertyAccessor.Global")]
        public Action DestroyHandlers { get; set; }

        void OnEnable()
        {
            IsEnabled = true;
            EnabledHandlers?.Invoke();
        }

        void OnDisable()
        {
            IsEnabled = false;
            DisabledHandlers?.Invoke();
        }

        void OnDestroy()
        {
            DestroyHandlers?.Invoke();
        }
    }
}
