using System.Text;
using UnityEngine;
// ReSharper disable UnusedMember.Global

namespace everlaster
{
    static class StringBuilderExtensions
    {
        public static StringBuilder AppendBold(this StringBuilder sb, string str) =>
            sb.AppendFormat("<b>{0}</b>", str);

        public static StringBuilder AppendItalic(this StringBuilder sb, string str) =>
            sb.AppendFormat("<i>{0}</i>", str);

        public static StringBuilder AppendSize(this StringBuilder sb, string str, int size) =>
            sb.AppendFormat("<size={0}>{1}</size>", size, str);

        public static StringBuilder AppendColor(this StringBuilder sb, string str, Color color) =>
            sb.AppendFormat("<color=#{0}>{1}</color>", ColorUtility.ToHtmlStringRGB(color), str);

        public static StringBuilder Clear(this StringBuilder sb)
        {
            sb.Length = 0;
            sb.Capacity = 0;
            return sb;
        }
    }
}
