﻿//
using UnityEngine;
// ReSharper disable UnusedMember.Global

namespace everlaster
{
    static class Loggr
    {
        public static void Error(string error, bool report = true) => LogErrorInternal($"{nameof(SessionPluginsHook)}: {error}.", report);

        // ReSharper disable once UnusedParameter.Local
        static void LogErrorInternal(string text, bool report)
        {
            #if ENV_DEVELOPMENT
            {
                Debug.LogError($"{text}\n{new System.Diagnostics.StackTrace()}");
            }
            #else
            {
                if(report)
                {
                    text += " Please report the issue!";
                }

                SuperController.LogError(text);
            }
                #endif
            }

        public static void Message(string message) => SuperController.LogMessage($"{nameof(SessionPluginsHook)}: {message}");
    }
}
