﻿using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using UnityEngine;

namespace everlaster
{
    static class Utils
    {
        public static Regex NewRegex(string regexStr) => new Regex(regexStr, RegexOptions.Compiled);

        // ReSharper disable once UnusedMember.Global
        public static string EnumerableToString<T>(IEnumerable<T> enumerable, string separator = "\n")
            => string.Join(separator, enumerable.Select(item => item.ToString()).ToArray());

        public static RectTransform GetRectTransform(Transform transform)
        {
            var rectTransform = transform.GetComponent<RectTransform>();
            rectTransform.pivot = Vector2.zero;
            return rectTransform;
        }
    }
}
